<?php

/**
 * Landig page of admin area
 *
 * This file is used to landing page of plugin admin area.
 *
 * @link       https://lin3s.com
 * @since      1.0.0
 *
 * @package    Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/admin/partials
 */

?>

<div id="alexandria_landing_page" class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('E-Mail Builder', 'alexandria-mail-builder')?>
	</h1>

	<hr class="wp-header-end">

	<div class="landing-container-top">

		<div class="landing-box-big">

			<div class="landing-box-icon">
				<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_ADMIN_PATH."/assets/images/mail-builder.gif"?>" alt="" />		
			</div>

			<div class="landing-box-content">
				
				<div class="landing-box-welcome">

					<div class="landing-box-title-wrapper">
						<h2><?php _e('E-Mail Builder', 'alexandria-mail-builder') ?></h2>
					</div>

					<div class="landing-box-body">

						<p class="landing-box-description">
							<?php echo get_option( 'descripcion_portada' ) ? get_option( 'descripcion_portada' ) : '' ?>
						</p>

					</div>

				</div>

			</div>

		</div>

		<div class="landing-box-small">
			<div class="landing-box-content-table">
				<ul>
					<li><b><?php _e('Nombre del Plugin', 'alexandria-mail-builder');?>: </b> <?php echo $this->plugin_name ?></li>
					<li><b><?php _e('Última Actualización', 'alexandria-mail-builder');?>: </b></li>
					<li><b><?php _e('Versión', 'alexandria-mail-builder');?>: </b><?php echo $this->version ?></li>
				</ul>
			</div>
		</div>

	</div>

	<div class="landing-container-bottom">

		<div class="landing-wrapper">

			<a href="<?php echo '/wp-admin/admin.php?page='.$this->plugin_name . '-settings' ?>" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_ADMIN_PATH."/assets/images/configure.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Configuración', 'alexandria-mail-builder') ?></h2>
				</div>

				<div class="landing-box-body">

					<p class="landing-box-description">
						
					</p>

				</div>

			</a>

			<a href="<?php echo '/wp-admin/admin.php?page='.$this->plugin_name . '-help' ?>" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_ADMIN_PATH."/assets/images/question.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Ayuda', 'alexandria-mail-builder') ?></h2>
				</div>

				<div class="landing-box-body">

					<p class="landing-box-description">
						
					</p>
					
				</div>

			</a>

			<!-- <a href="<?php echo '/wp-admin/admin.php?page='. '-export' ?>" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_ADMIN_PATH."/assets/images/configure.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Exportador XSTL', 'alexandria-mail-builder') ?></h2>
				</div>

				<div class="landing-box-body">

					<p class="landing-box-description">
						
					</p>
					
				</div>

			</a> -->

		</div>

	</div>

</div>

<br class="clear">

</div>
