/*
* Toggle Sections
*/

function alexandria_mail_builder_toggle_current_section() {

	let url = translated_alexandria_mail_builder_strings.admin_url;
	let lang = jQuery('html').attr('lang');
	let lang_code = lang.substring(0, 2);

	let step_item = jQuery('.alexandria-mail-builder__step.active');
	let step_number = step_item.data('step');

	let button_back = jQuery('.alexandria-mail-builder__steps-controls-button.back');
	let control_container = jQuery('.alexandria-mail-builder__steps-controls-container');

	let current_section = jQuery('.alexandria-mail-builder__step[data-step="' + step_number + '"]');
	let next_section = jQuery('.alexandria-mail-builder__step[data-step="'+ ( step_number + 1 ) +'"]');

	jQuery(this).removeClass('active');

	jQuery('#alexandria-builder-button-container-tabs').addClass('visible');

	if(step_number == '1') {

		let post_data = {
			'action': 'alexandria_email_builder_get_interlocutor_situations_ajax',
			'lang': lang_code,
			'interlocutor_id': jQuery('#alexandria-hidden-form input[data-step="' + step_number + '"]').val()
		}

		jQuery.post(url, post_data, function(response) {

			var server_data = JSON.parse(response);

			var situations_categories = [server_data].map((item) => {
				return item['situations_email_categories'];
			});

			if(situations_categories[0].length != 0){

				for (var $i = 0; $i < situations_categories[0].length; $i++) {

					if(jQuery('#situations_container_'+ situations_categories[0][$i]['category']['term_id']).length == 0) {
						jQuery('#alexandria_mail_builder_situations_container').append('<div id="situations_container_'+  situations_categories[0][$i]['category']['term_id'] +'" class="alexandria-mail-builder__situation-accordion"><div class="situation-category-item" data-situation_category_id="'+situations_categories[0][$i]['category']['term_id']+'"><div class="situation-category-item__text">'+situations_categories[0][$i]['category']['name']+'</div><div class="situation-category-item__toggle"><span class="situation-category-item__toggle--icon"></span></div></div></div>');
					}

					if(jQuery('#situations_container_'+ situations_categories[0][$i]['category']['term_id']).find('#situations_item_'+ situations_categories[0][$i]['ID']).length == 0) {
						jQuery('#situations_container_'+ situations_categories[0][$i]['category']['term_id']).append('<div class="situation-panel"><div class="situation-item" data-situation_id="'+ situations_categories[0][$i]['ID'] +'"><span>'+ situations_categories[0][$i]['post_title'] +'</span></div></div>');
					}

				}

			} else {

				jQuery('#alexandria_mail_builder_situations_container').append('<div class="not-found-item"><span>'+translated_alexandria_mail_builder_strings.no_situacion_text+'</span></div>');

			}

			button_back.addClass('visible');

			current_section.fadeOut();
			current_section.removeClass('active');

			next_section.addClass('active');
			next_section.fadeIn();

			return false;

		});
	}

	if(step_number == '2') {

		let post_data = {
			'action': 'alexandria_email_builder_get_interlocutor_tonos_ajax',
			'lang': lang_code,
			'interlocutor_id': jQuery('#alexandria-hidden-form input[data-step="' + (step_number - 1) + '"]').val(),
			'situation_id': jQuery('#alexandria-hidden-form input[data-step="' + step_number + '"]').val()
		}

		jQuery.post(url, post_data, function(response) {

			var server_data = JSON.parse(response);

			var tonos = [server_data].map((item) => {
				return item['tonos'];
			});

			if(tonos[0].length != 0) {

				for (var $i = 0; $i < tonos[0].length; $i++) {

					jQuery('.alexandria-mail-builder__tonos-wrapper').append('<div class="alexandria-mail-builder__tono-item" data-tono_id="'+tonos[0][$i]['ID']+'"><span>'+tonos[0][$i]['post_title']+'</span></div>');

					var elem = jQuery('.alexandria-mail-builder__tono-item[data-tono_id='+tonos[0][$i]['ID']+']');
					elem.css('background-color', tonos[0][$i]['background_color']);
					elem.find('span').css('color', tonos[0][$i]['text_color']);
					elem.css('border-color', tonos[0][$i]['border_color']);
				}
				
			} else {
				jQuery('.alexandria-mail-builder__tonos-wrapper').append('<div class="not-found-item"><span>'+translated_alexandria_mail_builder_strings.no_tonos_text+'</span></div>');
			}

			
			button_back.addClass('visible');

			current_section.fadeOut();
			current_section.removeClass('active');

			next_section.addClass('active');
			next_section.fadeIn();

			return false;

		});

		return false;
	}

	if(step_number == '3') {
		control_container.removeClass('visible');
		current_section.fadeOut();
		current_section.removeClass('active');

		jQuery('#alexandria_mail_builder_loading_spinner').show();

		setTimeout(function(){
			alexandria_mail_builder_make_mail(next_section);
		}, 1000);
	}

	if(step_number == '4') {
		return false;
	}

}


/*
* Go back step
*/
function alexandria_mail_builder_go_back_current_section() {

	let step_number = jQuery('.alexandria-mail-builder__step.active').data('step');
	let current_section = jQuery('.alexandria-mail-builder__step[data-step="' + step_number + '"]');
	let next_section = jQuery('.alexandria-mail-builder__step[data-step="'+ ( step_number - 1 ) +'"]');
	let button_back = jQuery('.alexandria-mail-builder__steps-controls-button.back');
	let button_continue = jQuery('.alexandria-mail-builder__steps-controls-button.continue');

	jQuery('#alexandria-hidden-form input[data-step="' + ( step_number - 1 ) + '"]').val("");
	jQuery('.not-found-item').remove();

	if((step_number - 1) == '1') {
		jQuery('.interlocutor-item').removeClass('active');
		jQuery('#alexandria_mail_builder_situations_container').html('');
	}

	if(step_number == '1') {
		button_back.addClass('visible');
		return false;
	}

	if((step_number - 1) == '2') {
		jQuery('.situation-item').removeClass('active');
		jQuery('.situation-category-item__toggle--icon').removeClass('open');
		jQuery('.situation-panel').css('display', "none");
		jQuery('.alexandria-mail-builder__tonos-wrapper').html('');
	}

	if(step_number == '2') {
		button_back.removeClass('visible');
	}

	current_section.fadeOut();
	current_section.removeClass('active');
	next_section.addClass('active');
	next_section.fadeIn();

	return false;
}