<?php

/**
 * The template Mail Builder.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$plugin_name = "alexandria-mail-builder";

$header_bg_color = get_option( $plugin_name.'_color_barra_cabecera_interior' ) ?  get_option( $plugin_name.'_color_barra_cabecera_interior' ) : '#6628DD';

$header_text_color =  get_option( $plugin_name .'_color_texto_barra_cabecera_interior' ) ?  get_option( $plugin_name .'_color_texto_barra_cabecera_interior' ) : '#FFFFFF';

$header_text = get_option( $plugin_name.'_texto_barra_cabecera_interior' ) ?  get_option( $plugin_name.'_texto_barra_cabecera_interior' ) : '';

?>

<style>
	#site-header {
		display: none!important;
	}

	.entry-header {
		display: none!important;
	}

	#site-footer {
		display: none!important;
	}

	.alexandria-main-title-container {
		background-color: <?php echo $header_bg_color; ?>;
	}

	.alexandria-close-cross::before {
		background-color: <?php echo $header_text_color; ?> !important;
	}

	.alexandria-close-cross::after {
		background-color: <?php echo $header_text_color; ?> !important;
	}
</style>

<!-- Main Title Section -->
<div class="alexandria-main-title-container">

	<div class="alexandria-main-title-wrapper">

		<div class="alexandria-main-title-inner">

			<div class="alexandria-title">
				<h1 class="alexandria-title-text" style="color:<?php echo $header_text_color; ?>;">
					<?php echo $header_text; ?>
				</h1>
			</div>

			<?php $url = alexandria_mail_builder_get_url_shortcode(); ?>

			<div class="alexandria-title-close">
				<a id="alexandria_close_button" href="<?php echo $url; ?>">
					<span class="alexandria-close-cross"></span>
				</a>
			</div>

		</div>

	</div>

</div>
<!-- End Title Section -->

<!-- Main Section Container -->
<div id="alexandria-section-container">

	<!-- Main Section Wrapper -->
	<div class="alexandria-section-wrapper">

		<!-- Main Body -->

		<?php include 'partials/interlocutors.php' ?>

		<?php include 'partials/situations.php' ?>

		<?php include 'partials/tonos.php' ?>

		<?php include 'partials/tabs_section.php' ?>

		<!-- End Main Body -->

		<!-- Buttons section -->
		<div class="alexandria-builder-button-container">

			<div class="alexandria-builder-button-wrapper inline">

				<a id="alexandria-builder-button-back" href="#">
					<?php _e('Atrás', 'alexandria-mail-builder') ?>
				</a>

				<a id="alexandria-email-builder-button-continue" href="#">
					<?php _e('Siguiente', 'alexandria-mail-builder') ?>
				</a>

			</div>

		</div>
		<!-- Button continue section -->

		<!-- Hiden Form -->
		<form id="alexandria-hidden-form" action="">
			<input type="hidden" value="<?php echo admin_url('admin-ajax.php')?>" id="ajax_url" />
			<input type="hidden" value="" name="interlocutor" id="interlocutor_id" />
			<input type="hidden" value="" name="situation" id="situation_id" />
			<input type="hidden" value="" name="tono" id="tono_id" />		
		</form>
		<!-- End Hiden Form -->

		<!-- Contact Form Modal -->
		<?php include 'elements/contact-modal.php' ?>
		<!-- End Contact Form Modal -->

		<!-- Video Modal -->
		<div id="alexandria-video-modal" class="modal-video" style="display: none;">

			<!-- Modal content-->
			<div class="modal-content">

				<div class="modal-cross-wrapper">
					<a id="cross_close_modal_video" href="#">
						<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/cancel.svg'?>" alt="">
					</a>
				</div>

				<div class="modal-header">
					<div class="modal-title-wrapper">
						<h4 id="video_modal_title" class="modal-title">
						</h4>
					</div>

				</div>

				<div id="video_modal_body" class="modal-body"></div>
				<div class="modal-footer"></div>
			</div>
			<!-- End Modal content-->

		</div>
		<!-- End Video Modal -->

		<!-- Video Hiden Area -->
		<div class="hidden-video-area">
		</div>
		<!-- End Video Hiden Area -->


		<!-- Hiden Text Area -->
		<div class="hidden-text-area">
			<textarea id="textarea_clipboard" name="hidden_text_area" tabindex='-1' aria-hidden='true'></textarea>
		</div>
		<!-- End Hiden Text Area -->


		<!-- Not Found Message -->
		<div id="mail-not-found">

			<div class="text-section">
				<span><?php _e('Lo sentimos, no se ha encontrado ninguna conversación con esas características, vuelva atrás y seleccione otras características.', 'alexandria-mail-builder'); ?></span>
			</div>

			<div class="button-section">
				<a id="back_to_init" href="#">
					<?php _e('Atrás', 'alexandria-mail-builder') ?>
				</a>
			</div>

		</div>
		<!-- End Not Found Message -->

	</div>
	<!-- End Main Section Wrapper -->

</div>
<!-- End Main Section Container -->