<?php

/**
 * Loading Spinner Partial.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates/partials
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$args = array(
	'post_type'=> 'objectives_email',
	'post_status' => 'publish',
	'posts_per_page' => -1,
	'suppress_filters' => 0,
	'orderby' => 'title', 
	'order' => 'ASC'
);              

$objectives = get_posts($args);

if($objectives) : ?>

	<div class="alexandria-mail-builder__objectives-grid">

		<div class="alexandria-mail-builder__objectives-row">

			<?php foreach( $objectives as $objective ) { ?>

				<div class="alexandria-mail-builder__objective-item">

					<div class="alexandria-mail-builder__objective-title-wrapper">
						<h5 class="alexandria-mail-builder__objective-title"><?php echo $objective->post_title; ?></h5>
					</div>

					<div class="alexandria-mail-builder__objective-text">
						<p><?php echo $objective->post_content; ?></p>
					</div>

				</div>

			<?php } ?>

		</div>

	</div>

	<?php

endif; 
